org.restlet.engine.http.connector

## Class HttpClientHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<T>
      - - org.restlet.engine.http.connector.BaseHelper<Client>
        - - org.restlet.engine.http.connector.BaseClientHelper
          - - org.restlet.engine.http.connector.HttpClientHelper

    public class HttpClientHelper
    extends BaseClientHelper

HTTP client helper based on NIO blocking sockets.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`HttpClientHelper(Client client)` Constructor.

### Method Summary

Methods
`void` `start()` Start callback.
`void` `stop()` Stop callback.

### Methods inherited from class org.restlet.engine.http.connector.BaseClientHelper

`createConnection, createSecureSocketFactory, createSocket, createSocket, createSocketFactory, getBestConnection, getCertAlgorithm, getConnectTimeout, getKeyPassword, getKeystorePassword, getKeystorePath, getKeystoreType, getProxyHost, getProxyPort, getRegularSocketFactory, getSecureRandomAlgorithm, getSecureSocketFactory, getSecurityProvider, getSocketAddress, getSocketFactory, getSslProtocol, getTcpNoDelay, getTruststorePassword, getTruststorePath, getTruststoreType, handle, handleInbound, handleOutbound, isProxying, setRegularSocketFactory, setSecureSocketFactory`

### Methods inherited from class org.restlet.engine.http.connector.BaseHelper

`createController, createControllerService, createResponse, createWorkerService, getConnections, getController, getControllerSleepTimeMs, getInboundBufferSize, getInboundMessages, getMaxConnectionsPerHost, getMaxThreads, getMaxTotalConnections, getMinThreads, getOutboundBufferSize, getOutboundMessages, getThreadMaxIdleTimeMs, getWorkerService, handleNextInbound, handleNextOutbound, isClientSide, isControllerDaemon, isPersistingConnections, isPipeliningConnections, isServerSide, isTracing, isWorkerServiceFull`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientHelper

    public HttpClientHelper(Client client)

Constructor.

Parameters:
  `client` - The client to help.

### Method Detail

#### start

    public void start()
               throws java.lang.Exception

Description copied from class: `RestletHelper`
Start callback.

Overrides:
  `start` in class `BaseClientHelper`
Throws:
  `java.lang.Exception`

#### stop

    public void stop()
              throws java.lang.Exception

Description copied from class: `RestletHelper`
Stop callback.

Overrides:
  `stop` in class `BaseClientHelper`
Throws:
  `java.lang.Exception`